//
//  PQEditFileMergeTable.swift
//  PQSpeed
//
//  Created by ak on 2020/12/12.
//  Copyright © 2020 BytesFlow. All rights reserved.
// 草稿箱业务 本地文件和网络文件的对应关系表

import RealmSwift
import UIKit
import BFCommonKit

public class PQEditFileMergeTable: Object {
    // 草稿箱ID 服务端生成
    @objc dynamic public var draftboxId: String = ""
    // 上传成功后，服务器返回的素材 ID
    @objc dynamic public var id: Int64 = 0

    // 唯一值
    @objc dynamic public var unid: String = ""

    // 素材的本地路径 为 URI
    @objc dynamic public var fileLocalPath: String = ""

    // 素材的外网 URL 我方服务器的外网地址 就是上传后的 URL
    @objc dynamic public var materialUrl: String = ""
    override public required init() {
        super.init()
        unid = getUniqueId(desc: "PQEditFileMergeTable")
    }

    override static public func primaryKey() -> String? {
        return "unid"
    }
}
